Bug 960019 - [abrt] libreoffice-core-3.6.6.2-5.fc18: writerfilter::dmapper::ListDef::GetPropertyValues: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-3.6.6.2-5.fc18: writerfilter::dmapper::ListDef::GetPr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f33956f644f3b527b91f3c8ca01...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 12:48 UTC by darton
Modified: 2013-07-23 01:14 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.6.7.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 01:14:36 UTC


Attachments (Terms of Use)
File: backtrace (114.56 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: cgroup (132 bytes, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: core_backtrace (7.54 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: dso_list (17.83 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: environ (1.73 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: hacluster.rtf (52.76 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: maps (87.38 KB, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: open_fds (611 bytes, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-05-06 12:48 UTC, darton
no flags Details
File: smolt_data (2.90 KB, text/plain)
2013-05-06 12:49 UTC, darton
no flags Details
File: var_log_messages (346 bytes, text/plain)
2013-05-06 12:49 UTC, darton
no flags Details

Description darton 2013-05-06 12:48:31 UTC
Description of problem:
LibreOffice Writer fails persistently when opening a specific .rtf file

Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /var/tmp/tmp/hacluster.rtf --splash-pipe=6
crash_function: writerfilter::dmapper::ListDef::GetPropertyValues
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.11-200.fc18.x86_64
uid:            500
ureports_counter: 2
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 writerfilter::dmapper::ListDef::GetPropertyValues at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/dmapper/NumberingManager.cxx:478
 #1 writerfilter::dmapper::ListDef::CreateNumberingRules at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/dmapper/NumberingManager.cxx:547
 #2 writerfilter::dmapper::ListsManager::CreateNumberingRules at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/dmapper/NumberingManager.cxx:1042
 #3 writerfilter::dmapper::DomainMapper::lcl_table at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/dmapper/DomainMapper.cxx:3549
 #4 writerfilter::LoggedStream::table at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/resourcemodel/LoggedResources.cxx:234
 #5 writerfilter::rtftok::RTFDocumentImpl::popState at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/rtftok/rtfdocumentimpl.cxx:3244
 #6 writerfilter::rtftok::RTFTokenizer::resolveParse at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/rtftok/rtftokenizer.cxx:114
 #7 writerfilter::rtftok::RTFDocumentImpl::resolve at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/rtftok/rtfdocumentimpl.cxx:586
 #8 RtfFilter::filter at /usr/src/debug/libreoffice-3.6.6.2/writerfilter/source/filter/RtfFilter.cxx:103
 #9 SfxObjectShell::ImportFrom at /usr/src/debug/libreoffice-3.6.6.2/sfx2/source/doc/objstor.cxx:2238

Comment 1 darton 2013-05-06 12:48:35 UTC
Created attachment 744117 [details]
File: backtrace

Comment 2 darton 2013-05-06 12:48:38 UTC
Created attachment 744118 [details]
File: cgroup

Comment 3 darton 2013-05-06 12:48:40 UTC
Created attachment 744119 [details]
File: core_backtrace

Comment 4 darton 2013-05-06 12:48:43 UTC
Created attachment 744120 [details]
File: dso_list

Comment 5 darton 2013-05-06 12:48:45 UTC
Created attachment 744121 [details]
File: environ

Comment 6 darton 2013-05-06 12:48:48 UTC
Created attachment 744122 [details]
File: hacluster.rtf

Comment 7 darton 2013-05-06 12:48:50 UTC
Created attachment 744123 [details]
File: limits

Comment 8 darton 2013-05-06 12:48:53 UTC
Created attachment 744124 [details]
File: maps

Comment 9 darton 2013-05-06 12:48:55 UTC
Created attachment 744125 [details]
File: open_fds

Comment 10 darton 2013-05-06 12:48:58 UTC
Created attachment 744126 [details]
File: proc_pid_status

Comment 11 darton 2013-05-06 12:49:00 UTC
Created attachment 744127 [details]
File: smolt_data

Comment 12 darton 2013-05-06 12:49:03 UTC
Created attachment 744128 [details]
File: var_log_messages

Comment 13 darton 2013-05-06 12:52:46 UTC
The file that cannot be opened is attached, see hacluster.rtf.

Comment 14 Michael Stahl 2013-07-11 18:56:41 UTC
crash fixed upstream in:

master b3944f124ab3dc87332796a46387f837ad29e8d5
libreoffice-4-1 f773ba156d9ec25d6d612bb084b914b24858747e
libreoffice-4-0 91c6f2645a31b2e11b3f948d0df0443b28c8b44f

fix will be in upstream 4.0.5 / 4.1.1 releases.

added the patch to Fedora 18 package too, should be in 3.6.7.2-2.

Comment 15 Fedora Update System 2013-07-12 12:22:49 UTC
libreoffice-3.6.7.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.7.2-2.fc18

Comment 16 Fedora Update System 2013-07-13 01:48:51 UTC
Package libreoffice-3.6.7.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.7.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12874/libreoffice-3.6.7.2-2.fc18
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-07-23 01:14:36 UTC
libreoffice-3.6.7.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.